Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455609 - groupmems -d does not work
Summary: groupmems -d does not work
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: shadow-utils
Version: 8
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-16 16:21 UTC by Milos Malik
Modified: 2010-02-04 08:18 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-23 13:53:23 UTC


Attachments (Terms of Use)

Description Milos Malik 2008-07-16 16:21:49 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.15) Gecko/20080702 Fedora/2.0.0.15-1.fc8 Firefox/2.0.0.15

Description of problem:
The utility is able to add an user to a group, but it's not able to remove the user from the group. The only way how to accomplish this is to purge all users from the group (groupmems -p -g tegr).

Version-Release number of selected component (if applicable):
shadow-utils-4.0.18.1-22.fc8

How reproducible:
Always


Steps to Reproduce:
# groupadd tegr
# grep tegr /etc/group
tegr:x:501:
# useradd teus
# grep teus /etc/passwd
teus:x:501:502::/home/teus:/bin/bash
# groupmems -a teus -g tegr
# echo $?
0
# grep tegr /etc/group
tegr:x:501:teus
# groupmems -d teus -g tegr
# echo $?
0
# grep tegr /etc/group
tegr:x:501:teus
#

Actual Results:
groupmems -d does not remove the user from the group

Expected Results:
groupmems -d removes the user from the group

Additional info:

Comment 1 Lukas Kuklinek 2008-07-21 14:13:31 UTC
This is already fixed from F-9 on (shadow-utils-4.1.2).


Note You need to log in before you can comment on or make changes to this bug.